Package org.apache.sling.api.resource.runtime.dto

# Class ResourceProviderFailureDTO

java.lang.Object
org.apache.sling.api.resource.runtime.dto.ResourceProviderDTO
org.apache.sling.api.resource.runtime.dto.ResourceProviderFailureDTO

public class ResourceProviderFailureDTO extends ResourceProviderDTO
Represents a failed `org.apache.sling.spi.resource.provider.ResourceProvider`. If the provider is failed, some of the properties of the `ResourceProviderDTO` might be missing or invalid, e.g. `ResourceProviderDTO.path` might contain the empty path.

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Field Summary

Fields
Modifier and Type
Field
Description
`FailureReason`
`reason`
The reason for the failure.

### Fields inherited from class org.apache.sling.api.resource.runtime.dto.ResourceProviderDTO

`adaptable, attributable, authType, modifiable, name, path, refreshable, serviceId, supportsQueryLanguage, useResourceAccessSecurity`

## Constructor Summary

Constructors
Constructor
Description
`ResourceProviderFailureDTO()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### reason

public FailureReason reason
The reason for the failure.

## Constructor Details

### ResourceProviderFailureDTO

public ResourceProviderFailureDTO()